Page MenuHomePhabricator

Figure out why browser tests can't create suggestion box
Closed, ResolvedPublic

Description

Browser test in CirrusSearch, namely smoke.feature:16, tries to create suggestion box by typing in text into search box. Unfortunately, this fails. Manual testing with the browser shows the box works fine, so it must be some testing issue.

It also looks like this test is the only test that tries to create suggestion box, so we need to figure out why it fails and/or add more tests for suggestion box functionality.

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterWIP Figure out why browser tests can't create suggestion box

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2017, 10:53 PM

- screenshot of the failed test

Restricted Application added a project: Discovery. · View Herald TranscriptApr 13 2017, 10:59 PM

I have tried reproducing the problem, but I am having trouble provisioning cirrussearch vagrant role. :(

1$ vagrant roles list -e
2Enabled roles:
3
4cirrussearch
5
6$ vagrant provision
7==> default: Running provisioner: lsb_check...
8==> default: Running provisioner: shell...
9 default: Running: /var/folders/jh/mngv0tys7b1dbx2h276vjz0m0000gn/T/vagrant-shell20170414-3590-r981qx.sh
10==> default: Running provisioner: puppet...
11==> default: Running Puppet with site.pp...
12==> default: Info: Loading facts
13==> default: Notice: Compiled catalog for mediawiki-vagrant.dev in environment production in 2.77 seconds
14==> default: Info: Applying configuration version '1492182328.99710e7e'
15==> default: Error: Could not update: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install git' returned 100: Reading package lists...
16==> default: Building dependency tree...
17==> default: Reading state information...
18==> default: The following packages were automatically installed and are no longer required:
19==> default: gyp libc-ares-dev libc-ares2 libjs-node-uuid libjs-underscore libv8-3.14-dev
20==> default: libv8-3.14.5 node-abbrev node-ansi node-ansi-color-table node-archy
21==> default: node-async node-block-stream node-combined-stream node-cookie-jar
22==> default: node-delayed-stream node-forever-agent node-form-data node-fstream
23==> default: node-fstream-ignore node-github-url-from-git node-glob node-graceful-fs
24==> default: node-gyp node-inherits node-ini node-json-stringify-safe node-lockfile
25==> default: node-lru-cache node-mime node-minimatch node-mkdirp node-mute-stream
26==> default: node-node-uuid node-nopt node-normalize-package-data node-npmlog node-once
27==> default: node-osenv node-qs node-read node-read-package-json node-request node-retry
28==> default: node-rimraf node-semver node-sha node-sigmund node-slide node-tar
29==> default: node-tunnel-agent node-underscore node-which
30==> default: Use 'apt-get autoremove' to remove them.
31==> default: Suggested packages:
32==> default: git-daemon-run git-daemon-sysvinit git-doc git-el git-email git-gui gitk
33==> default: gitweb git-arch git-cvs git-mediawiki git-svn
34==> default: Recommended packages:
35==> default: rsync
36==> default: The following packages will be DOWNGRADED:
37==> default: git
38==> default: 0 upgraded, 0 newly installed, 1 downgraded, 0 to remove and 30 not upgraded.
39==> default: Need to get 4541 kB of archives.
40==> default: After this operation, 155 kB disk space will be freed.
41==> default: E: There are problems and -y was used without --force-yes
42==> default: Wrapped exception:
43==> default: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install git' returned 100: Reading package lists...
44==> default: Building dependency tree...
45==> default: Reading state information...
46==> default: The following packages were automatically installed and are no longer required:
47==> default: gyp libc-ares-dev libc-ares2 libjs-node-uuid libjs-underscore libv8-3.14-dev
48==> default: libv8-3.14.5 node-abbrev node-ansi node-ansi-color-table node-archy
49==> default: node-async node-block-stream node-combined-stream node-cookie-jar
50==> default: node-delayed-stream node-forever-agent node-form-data node-fstream
51==> default: node-fstream-ignore node-github-url-from-git node-glob node-graceful-fs
52==> default: node-gyp node-inherits node-ini node-json-stringify-safe node-lockfile
53==> default: node-lru-cache node-mime node-minimatch node-mkdirp node-mute-stream
54==> default: node-node-uuid node-nopt node-normalize-package-data node-npmlog node-once
55==> default: node-osenv node-qs node-read node-read-package-json node-request node-retry
56==> default: node-rimraf node-semver node-sha node-sigmund node-slide node-tar
57==> default: node-tunnel-agent node-underscore node-which
58==> default: Use 'apt-get autoremove' to remove them.
59==> default: Suggested packages:
60==> default: git-daemon-run git-daemon-sysvinit git-doc git-el git-email git-gui gitk
61==> default: gitweb git-arch git-cvs git-mediawiki git-svn
62==> default: Recommended packages:
63==> default: rsync
64==> default: The following packages will be DOWNGRADED:
65==> default: git
66==> default: 0 upgraded, 0 newly installed, 1 downgraded, 0 to remove and 30 not upgraded.
67==> default: Need to get 4541 kB of archives.
68==> default: After this operation, 155 kB disk space will be freed.
69==> default: E: There are problems and -y was used without --force-yes
70==> default: Error: /Stage[main]/Git/Package[git]/ensure: change from 1:2.11.0-2~ppa0~ubuntu16.04.1 to 1:2.11.0-2~bpo8+1 failed: Could not update: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install git' returned 100: Reading package lists...
71==> default: Building dependency tree...
72==> default: Reading state information...
73==> default: The following packages were automatically installed and are no longer required:
74==> default: gyp libc-ares-dev libc-ares2 libjs-node-uuid libjs-underscore libv8-3.14-dev
75==> default: libv8-3.14.5 node-abbrev node-ansi node-ansi-color-table node-archy
76==> default: node-async node-block-stream node-combined-stream node-cookie-jar
77==> default: node-delayed-stream node-forever-agent node-form-data node-fstream
78==> default: node-fstream-ignore node-github-url-from-git node-glob node-graceful-fs
79==> default: node-gyp node-inherits node-ini node-json-stringify-safe node-lockfile
80==> default: node-lru-cache node-mime node-minimatch node-mkdirp node-mute-stream
81==> default: node-node-uuid node-nopt node-normalize-package-data node-npmlog node-once
82==> default: node-osenv node-qs node-read node-read-package-json node-request node-retry
83==> default: node-rimraf node-semver node-sha node-sigmund node-slide node-tar
84==> default: node-tunnel-agent node-underscore node-which
85==> default: Use 'apt-get autoremove' to remove them.
86==> default: Suggested packages:
87==> default: git-daemon-run git-daemon-sysvinit git-doc git-el git-email git-gui gitk
88==> default: gitweb git-arch git-cvs git-mediawiki git-svn
89==> default: Recommended packages:
90==> default: rsync
91==> default: The following packages will be DOWNGRADED:
92==> default: git
93==> default: 0 upgraded, 0 newly installed, 1 downgraded, 0 to remove and 30 not upgraded.
94==> default: Need to get 4541 kB of archives.
95==> default: After this operation, 155 kB disk space will be freed.
96==> default: E: There are problems and -y was used without --force-yes
97==> default: Notice: /Stage[main]/Arcanist/Git::Clone[libphutil]/File[/vagrant/srv/libphutil]: Dependency Package[git] has failures: true
98==> default: Warning: /Stage[main]/Arcanist/Git::Clone[libphutil]/File[/vagrant/srv/libphutil]: Skipping because of failed dependencies
99==> default: Notice: /Stage[main]/Arcanist/Git::Clone[libphutil]/Exec[git_clone_libphutil]: Dependency Package[git] has failures: true
100==> default: Warning: /Stage[main]/Arcanist/Git::Clone[libphutil]/Exec[git_clone_libphutil]: Skipping because of failed dependencies
101==> default: Notice: /Stage[main]/Arcanist/Git::Clone[arcanist]/File[/vagrant/srv/arcanist]: Dependency Package[git] has failures: true
102==> default: Warning: /Stage[main]/Arcanist/Git::Clone[arcanist]/File[/vagrant/srv/arcanist]: Skipping because of failed dependencies
103==> default: Notice: /Stage[main]/Arcanist/Git::Clone[arcanist]/Exec[git_clone_arcanist]: Dependency Package[git] has failures: true
104==> default: Warning: /Stage[main]/Arcanist/Git::Clone[arcanist]/Exec[git_clone_arcanist]: Skipping because of failed dependencies
105==> default: Notice: /Stage[main]/Eventschemas/Git::Clone[mediawiki/event-schemas]/File[/vagrant/srv/event-schemas]: Dependency Package[git] has failures: true
106==> default: Warning: /Stage[main]/Eventschemas/Git::Clone[mediawiki/event-schemas]/File[/vagrant/srv/event-schemas]: Skipping because of failed dependencies
107==> default: Notice: /Stage[main]/Eventschemas/Git::Clone[mediawiki/event-schemas]/Exec[git_clone_mediawiki/event-schemas]: Dependency Package[git] has failures: true
108==> default: Warning: /Stage[main]/Eventschemas/Git::Clone[mediawiki/event-schemas]/Exec[git_clone_mediawiki/event-schemas]: Skipping because of failed dependencies
109==> default: Notice: /Stage[main]/Elasticsearch/Exec[wait-for-elasticsearch]/returns: executed successfully
110==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/File[/vagrant/mediawiki]: Dependency Package[git] has failures: true
111==> default: Warning: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/File[/vagrant/mediawiki]: Skipping because of failed dependencies
112==> default: Notice: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]: Dependency Package[git] has failures: true
113==> default: Warning: /Stage[main]/Mediawiki/Git::Clone[mediawiki/core]/Exec[git_clone_mediawiki/core]: Skipping because of failed dependencies
114==> default: Notice: /Stage[main]/Mediawiki/File[/vagrant/mediawiki/composer.local.json]: Dependency Package[git] has failures: true
115==> default: Warning: /Stage[main]/Mediawiki/File[/vagrant/mediawiki/composer.local.json]: Skipping because of failed dependencies
116==> default: Notice: /Stage[main]/Mediawiki/Php::Composer::Install[/vagrant/mediawiki]/Exec[composer-install--vagrant-mediawiki]: Dependency Package[git] has failures: true
117==> default: Warning: /Stage[main]/Mediawiki/Php::Composer::Install[/vagrant/mediawiki]/Exec[composer-install--vagrant-mediawiki]: Skipping because of failed dependencies
118==> default: Notice: /Stage[main]/Mediawiki/Exec[composer update /vagrant/mediawiki]: Dependency Package[git] has failures: true
119==> default: Warning: /Stage[main]/Mediawiki/Exec[composer update /vagrant/mediawiki]: Skipping because of failed dependencies
120==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/srv/images]: Dependency Package[git] has failures: true
121==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/srv/images]: Skipping because of failed dependencies
122==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/var/cache/mediawiki/devwiki]: Dependency Package[git] has failures: true
123==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/var/cache/mediawiki/devwiki]: Skipping because of failed dependencies
124==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[update_wiki_database]: Dependency Package[git] has failures: true
125==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[update_wiki_database]: Skipping because of failed dependencies
126==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/dbConf/10-wiki-dbConf.php]: Dependency Package[git] has failures: true
127==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/dbConf/10-wiki-dbConf.php]: Skipping because of failed dependencies
128==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki]: Dependency Package[git] has failures: true
129==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki]: Skipping because of failed dependencies
130==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/wgConf.php]: Dependency Package[git] has failures: true
131==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/wgConf.php]: Skipping because of failed dependencies
132==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/etc/logrotate.d/mediawiki_wiki_debug_log]: Dependency Package[git] has failures: true
133==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/etc/logrotate.d/mediawiki_wiki_debug_log]: Skipping because of failed dependencies
134==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d]: Dependency Package[git] has failures: true
135==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d]: Skipping because of failed dependencies
136==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed]: Dependency Package[git] has failures: true
137==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed]: Skipping because of failed dependencies
138==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed/README]: Dependency Package[git] has failures: true
139==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed/README]: Skipping because of failed dependencies
140==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/srv/pages/wiki/wiki]: Dependency Package[git] has failures: true
141==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/srv/pages/wiki/wiki]: Skipping because of failed dependencies
142==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Skin[Vector]/Git::Clone[mediawiki/skins/Vector]/File[/vagrant/mediawiki/skins/Vector]: Dependency Package[git] has failures: true
143==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Skin[Vector]/Git::Clone[mediawiki/skins/Vector]/File[/vagrant/mediawiki/skins/Vector]: Skipping because of failed dependencies
144==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Skin[Vector]/Git::Clone[mediawiki/skins/Vector]/Exec[git_clone_mediawiki/skins/Vector]: Dependency Package[git] has failures: true
145==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Skin[Vector]/Git::Clone[mediawiki/skins/Vector]/Exec[git_clone_mediawiki/skins/Vector]: Skipping because of failed dependencies
146==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Skin[Vector]/Mediawiki::Settings[Vector]/File[/vagrant/settings.d/puppet-managed/10-Vector.php]: Dependency Package[git] has failures: true
147==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Skin[Vector]/Mediawiki::Settings[Vector]/File[/vagrant/settings.d/puppet-managed/10-Vector.php]: Skipping because of failed dependencies
148==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Mysql::Sql[wikiadmin_full_priv_wiki]/Exec[wikiadmin_full_priv_wiki]: Dependency Package[git] has failures: true
149==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Mysql::Sql[wikiadmin_full_priv_wiki]/Exec[wikiadmin_full_priv_wiki]: Skipping because of failed dependencies
150==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_setup]: Dependency Package[git] has failures: true
151==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_setup]: Skipping because of failed dependencies
152==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_include_extra_settings]: Dependency Package[git] has failures: true
153==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_include_extra_settings]: Skipping because of failed dependencies
154==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_copy_LocalSettings]: Dependency Package[git] has failures: true
155==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Exec[wiki_copy_LocalSettings]: Skipping because of failed dependencies
156==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Apache::Site_conf[devwiki_images]/File[/etc/apache2/site-confs/devwiki/50-devwiki-images.conf]: Dependency Package[git] has failures: true
157==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/Apache::Site_conf[devwiki_images]/File[/etc/apache2/site-confs/devwiki/50-devwiki-images.conf]: Skipping because of failed dependencies
158==> default: Notice: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/File[/lib/systemd/system/mediawiki-ready.service]: Dependency Package[git] has failures: true
159==> default: Warning: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/File[/lib/systemd/system/mediawiki-ready.service]: Skipping because of failed dependencies
160==> default: Notice: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/Exec[systemd reload for mediawiki-ready]: Dependency Package[git] has failures: true
161==> default: Warning: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/Exec[systemd reload for mediawiki-ready]: Skipping because of failed dependencies
162==> default: Notice: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/Service[mediawiki-ready]: Dependency Package[git] has failures: true
163==> default: Warning: /Stage[main]/Mediawiki::Ready_service/Systemd::Service[mediawiki-ready]/Service[mediawiki-ready]: Skipping because of failed dependencies
164==> default: Notice: /Group[kafka]: Dependency Package[git] has failures: true
165==> default: Warning: /Group[kafka]: Skipping because of failed dependencies
166==> default: Notice: /User[kafka]: Dependency Package[git] has failures: true
167==> default: Warning: /User[kafka]: Skipping because of failed dependencies
168==> default: Notice: /Stage[main]/Kafka/File[/usr/local/bin/kafka]: Dependency Package[git] has failures: true
169==> default: Warning: /Stage[main]/Kafka/File[/usr/local/bin/kafka]: Skipping because of failed dependencies
170==> default: Notice: /Stage[main]/Kafka/File[/etc/profile.d/kafka.sh]: Dependency Package[git] has failures: true
171==> default: Warning: /Stage[main]/Kafka/File[/etc/profile.d/kafka.sh]: Skipping because of failed dependencies
172==> default: Notice: /Stage[main]/Kafka/File[/etc/kafka/server.properties]: Dependency Package[git] has failures: true
173==> default: Warning: /Stage[main]/Kafka/File[/etc/kafka/server.properties]: Skipping because of failed dependencies
174==> default: Notice: /Stage[main]/Kafka/File[/etc/kafka/log4j.properties]: Dependency Package[git] has failures: true
175==> default: Warning: /Stage[main]/Kafka/File[/etc/kafka/log4j.properties]: Skipping because of failed dependencies
176==> default: Notice: /Stage[main]/Kafka/File[/var/log/kafka]: Dependency Package[git] has failures: true
177==> default: Warning: /Stage[main]/Kafka/File[/var/log/kafka]: Skipping because of failed dependencies
178==> default: Notice: /Stage[main]/Kafka/File[/var/lib/kafka]: Dependency Package[git] has failures: true
179==> default: Warning: /Stage[main]/Kafka/File[/var/lib/kafka]: Skipping because of failed dependencies
180==> default: Notice: /Stage[main]/Kafka/Service[zookeeper]: Dependency Package[git] has failures: true
181==> default: Warning: /Stage[main]/Kafka/Service[zookeeper]: Skipping because of failed dependencies
182==> default: Notice: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/File[/etc/systemd/system/hhvm.service.d]: Dependency Package[git] has failures: true
183==> default: Warning: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/File[/etc/systemd/system/hhvm.service.d]: Skipping because of failed dependencies
184==> default: Notice: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/File[/etc/systemd/system/hhvm.service.d/puppet-override.conf]: Dependency Package[git] has failures: true
185==> default: Warning: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/File[/etc/systemd/system/hhvm.service.d/puppet-override.conf]: Skipping because of failed dependencies
186==> default: Notice: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/Exec[systemd reload for hhvm]: Dependency Package[git] has failures: true
187==> default: Warning: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/Exec[systemd reload for hhvm]: Skipping because of failed dependencies
188==> default: Notice: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/Service[hhvm]: Dependency Package[git] has failures: true
189==> default: Warning: /Stage[main]/Hhvm::Fcgi/Systemd::Service[hhvm]/Service[hhvm]: Skipping because of failed dependencies
190==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/File[/srv/commonsimages]: Dependency Package[git] has failures: true
191==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/File[/srv/commonsimages]: Skipping because of failed dependencies
192==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/File[/var/cache/mediawiki/commons]: Dependency Package[git] has failures: true
193==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/File[/var/cache/mediawiki/commons]: Skipping because of failed dependencies
194==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/Exec[update_commonswiki_database]: Dependency Package[git] has failures: true
195==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/Exec[update_commonswiki_database]: Skipping because of failed dependencies
196==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/File[/vagrant/settings.d/wikis/dbConf/05-commonswiki-dbConf.php]: Dependency Package[git] has failures: true
197==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/File[/vagrant/settings.d/wikis/dbConf/05-commonswiki-dbConf.php]: Skipping because of failed dependencies
198==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/File[/vagrant/settings.d/wikis/commonswiki]: Dependency Package[git] has failures: true
199==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/File[/vagrant/settings.d/wikis/commonswiki]: Skipping because of failed dependencies
200==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/File[/vagrant/settings.d/wikis/commonswiki/wgConf.php]: Dependency Package[git] has failures: true
201==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/File[/vagrant/settings.d/wikis/commonswiki/wgConf.php]: Skipping because of failed dependencies
202==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/File[/etc/logrotate.d/mediawiki_commonswiki_debug_log]: Dependency Package[git] has failures: true
203==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/File[/etc/logrotate.d/mediawiki_commonswiki_debug_log]: Skipping because of failed dependencies
204==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/File[/vagrant/settings.d/wikis/commonswiki/settings.d]: Dependency Package[git] has failures: true
205==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/File[/vagrant/settings.d/wikis/commonswiki/settings.d]: Skipping because of failed dependencies
206==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/File[/vagrant/settings.d/wikis/commonswiki/settings.d/puppet-managed]: Dependency Package[git] has failures: true
207==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/File[/vagrant/settings.d/wikis/commonswiki/settings.d/puppet-managed]: Skipping because of failed dependencies
208==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/File[/vagrant/settings.d/wikis/commonswiki/settings.d/puppet-managed/README]: Dependency Package[git] has failures: true
209==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/File[/vagrant/settings.d/wikis/commonswiki/settings.d/puppet-managed/README]: Skipping because of failed dependencies
210==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/File[/srv/pages/wiki/commonswiki]: Dependency Package[git] has failures: true
211==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/File[/srv/pages/wiki/commonswiki]: Skipping because of failed dependencies
212==> default: Notice: /Stage[main]/Kafka/Systemd::Service[kafka]/File[/lib/systemd/system/kafka.service]: Dependency Package[git] has failures: true
213==> default: Warning: /Stage[main]/Kafka/Systemd::Service[kafka]/File[/lib/systemd/system/kafka.service]: Skipping because of failed dependencies
214==> default: Notice: /Stage[main]/Kafka/Systemd::Service[kafka]/Exec[systemd reload for kafka]: Dependency Package[git] has failures: true
215==> default: Warning: /Stage[main]/Kafka/Systemd::Service[kafka]/Exec[systemd reload for kafka]: Skipping because of failed dependencies
216==> default: Notice: /Stage[main]/Kafka/Systemd::Service[kafka]/Service[kafka]: Dependency Package[git] has failures: true
217==> default: Warning: /Stage[main]/Kafka/Systemd::Service[kafka]/Service[kafka]: Skipping because of failed dependencies
218==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/File[/srv/cirrustestimages]: Dependency Package[git] has failures: true
219==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/File[/srv/cirrustestimages]: Skipping because of failed dependencies
220==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/File[/var/cache/mediawiki/cirrustest]: Dependency Package[git] has failures: true
221==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/File[/var/cache/mediawiki/cirrustest]: Skipping because of failed dependencies
222==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/Exec[update_cirrustestwiki_database]: Dependency Package[git] has failures: true
223==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/Exec[update_cirrustestwiki_database]: Skipping because of failed dependencies
224==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/File[/vagrant/settings.d/wikis/dbConf/10-cirrustestwiki-dbConf.php]: Dependency Package[git] has failures: true
225==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/File[/vagrant/settings.d/wikis/dbConf/10-cirrustestwiki-dbConf.php]: Skipping because of failed dependencies
226==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/File[/vagrant/settings.d/wikis/cirrustestwiki]: Dependency Package[git] has failures: true
227==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/File[/vagrant/settings.d/wikis/cirrustestwiki]: Skipping because of failed dependencies
228==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/File[/vagrant/settings.d/wikis/cirrustestwiki/wgConf.php]: Dependency Package[git] has failures: true
229==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/File[/vagrant/settings.d/wikis/cirrustestwiki/wgConf.php]: Skipping because of failed dependencies
230==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/File[/etc/logrotate.d/mediawiki_cirrustestwiki_debug_log]: Dependency Package[git] has failures: true
231==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/File[/etc/logrotate.d/mediawiki_cirrustestwiki_debug_log]: Skipping because of failed dependencies
232==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/File[/vagrant/settings.d/wikis/cirrustestwiki/settings.d]: Dependency Package[git] has failures: true
233==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/File[/vagrant/settings.d/wikis/cirrustestwiki/settings.d]: Skipping because of failed dependencies
234==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/File[/vagrant/settings.d/wikis/cirrustestwiki/settings.d/puppet-managed]: Dependency Package[git] has failures: true
235==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/File[/vagrant/settings.d/wikis/cirrustestwiki/settings.d/puppet-managed]: Skipping because of failed dependencies
236==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/File[/vagrant/settings.d/wikis/cirrustestwiki/settings.d/puppet-managed/README]: Dependency Package[git] has failures: true
237==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/File[/vagrant/settings.d/wikis/cirrustestwiki/settings.d/puppet-managed/README]: Skipping because of failed dependencies
238==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/File[/srv/pages/wiki/cirrustestwiki]: Dependency Package[git] has failures: true
239==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/File[/srv/pages/wiki/cirrustestwiki]: Skipping because of failed dependencies
240==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Group[devwiki_suppress]/Mediawiki::Settings[devwiki_suppress_group]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed/10-devwiki_suppress_group.php]: Dependency Package[git] has failures: true
241==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Group[devwiki_suppress]/Mediawiki::Settings[devwiki_suppress_group]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed/10-devwiki_suppress_group.php]: Skipping because of failed dependencies
242==> default: Notice: /Stage[main]/Role::Thumb_on_404/Role::Thumb_on_404::Multiwiki[devwiki]/Mediawiki::Settings[devwiki:thumb.php_on_404]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed/10-thumb-php_on_404.php]: Dependency Package[git] has failures: true
243==> default: Warning: /Stage[main]/Role::Thumb_on_404/Role::Thumb_on_404::Multiwiki[devwiki]/Mediawiki::Settings[devwiki:thumb.php_on_404]/File[/vagrant/settings.d/wikis/wiki/settings.d/puppet-managed/10-thumb-php_on_404.php]: Skipping because of failed dependencies
244==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/Mysql::Sql[wikiadmin_full_priv_commonswiki]/Exec[wikiadmin_full_priv_commonswiki]: Dependency Package[git] has failures: true
245==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/Mysql::Sql[wikiadmin_full_priv_commonswiki]/Exec[wikiadmin_full_priv_commonswiki]: Skipping because of failed dependencies
246==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/Exec[commonswiki_setup]: Dependency Package[git] has failures: true
247==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/Exec[commonswiki_setup]: Skipping because of failed dependencies
248==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/Exec[commonswiki_include_extra_settings]: Dependency Package[git] has failures: true
249==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/Exec[commonswiki_include_extra_settings]: Skipping because of failed dependencies
250==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/Exec[commonswiki_copy_LocalSettings]: Dependency Package[git] has failures: true
251==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/Exec[commonswiki_copy_LocalSettings]: Skipping because of failed dependencies
252==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/Apache::Site_conf[commons_images]/File[/etc/apache2/site-confs/devwiki/50-commons-images.conf]: Dependency Package[git] has failures: true
253==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Wiki[commons]/Apache::Site_conf[commons_images]/File[/etc/apache2/site-confs/devwiki/50-commons-images.conf]: Skipping because of failed dependencies
254==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Settings[commons:general]/File[/vagrant/settings.d/wikis/commonswiki/settings.d/puppet-managed/10-general.php]: Dependency Package[git] has failures: true
255==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Settings[commons:general]/File[/vagrant/settings.d/wikis/commonswiki/settings.d/puppet-managed/10-general.php]: Skipping because of failed dependencies
256==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Settings[commons:cirrussearch]/File[/vagrant/settings.d/wikis/commonswiki/settings.d/puppet-managed/10-cirrussearch.php]: Dependency Package[git] has failures: true
257==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Settings[commons:cirrussearch]/File[/vagrant/settings.d/wikis/commonswiki/settings.d/puppet-managed/10-cirrussearch.php]: Skipping because of failed dependencies
258==> default: Notice: /Stage[main]/Role::Commons/Role::Thumb_on_404::Multiwiki[commons]/Mediawiki::Settings[commons:thumb.php_on_404]/File[/vagrant/settings.d/wikis/commonswiki/settings.d/puppet-managed/10-thumb-php_on_404.php]: Dependency Package[git] has failures: true
259==> default: Warning: /Stage[main]/Role::Commons/Role::Thumb_on_404::Multiwiki[commons]/Mediawiki::Settings[commons:thumb.php_on_404]/File[/vagrant/settings.d/wikis/commonswiki/settings.d/puppet-managed/10-thumb-php_on_404.php]: Skipping because of failed dependencies
260==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/Mysql::Sql[wikiadmin_full_priv_cirrustestwiki]/Exec[wikiadmin_full_priv_cirrustestwiki]: Dependency Package[git] has failures: true
261==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/Mysql::Sql[wikiadmin_full_priv_cirrustestwiki]/Exec[wikiadmin_full_priv_cirrustestwiki]: Skipping because of failed dependencies
262==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/File[/srv/pages/wiki/wiki/Main_Page]: Dependency Package[git] has failures: true
263==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/File[/srv/pages/wiki/wiki/Main_Page]: Skipping because of failed dependencies
264==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/File[/srv/pages/wiki/wiki/Template:Main_Page]: Dependency Package[git] has failures: true
265==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/File[/srv/pages/wiki/wiki/Template:Main_Page]: Skipping because of failed dependencies
266==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/Exec[cirrustestwiki_setup]: Dependency Package[git] has failures: true
267==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/Exec[cirrustestwiki_setup]: Skipping because of failed dependencies
268==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/Exec[cirrustestwiki_include_extra_settings]: Dependency Package[git] has failures: true
269==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/Exec[cirrustestwiki_include_extra_settings]: Skipping because of failed dependencies
270==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/Exec[cirrustestwiki_copy_LocalSettings]: Dependency Package[git] has failures: true
271==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/Exec[cirrustestwiki_copy_LocalSettings]: Skipping because of failed dependencies
272==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/Apache::Site_conf[cirrustest_images]/File[/etc/apache2/site-confs/devwiki/50-cirrustest-images.conf]: Dependency Package[git] has failures: true
273==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Wiki[cirrustest]/Apache::Site_conf[cirrustest_images]/File[/etc/apache2/site-confs/devwiki/50-cirrustest-images.conf]: Skipping because of failed dependencies
274==> default: Notice: /Stage[main]/Apache/Service[apache2]: Dependency Package[git] has failures: true
275==> default: Warning: /Stage[main]/Apache/Service[apache2]: Skipping because of failed dependencies
276==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Settings[cirrustest:cirrussearch test suite]/File[/vagrant/settings.d/wikis/cirrustestwiki/settings.d/puppet-managed/10-cirrussearch-test-suite.php]: Dependency Package[git] has failures: true
277==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Settings[cirrustest:cirrussearch test suite]/File[/vagrant/settings.d/wikis/cirrustestwiki/settings.d/puppet-managed/10-cirrussearch-test-suite.php]: Skipping because of failed dependencies
278==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Extension[GlobalUsage]/Git::Clone[mediawiki/extensions/GlobalUsage]/File[/vagrant/mediawiki/extensions/GlobalUsage]: Dependency Package[git] has failures: true
279==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Extension[GlobalUsage]/Git::Clone[mediawiki/extensions/GlobalUsage]/File[/vagrant/mediawiki/extensions/GlobalUsage]: Skipping because of failed dependencies
280==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Extension[GlobalUsage]/Git::Clone[mediawiki/extensions/GlobalUsage]/Exec[git_clone_mediawiki/extensions/GlobalUsage]: Dependency Package[git] has failures: true
281==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Extension[GlobalUsage]/Git::Clone[mediawiki/extensions/GlobalUsage]/Exec[git_clone_mediawiki/extensions/GlobalUsage]: Skipping because of failed dependencies
282==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Extension[GlobalUsage]/Mediawiki::Settings[GlobalUsage]/File[/vagrant/settings.d/puppet-managed/10-GlobalUsage.php]: Dependency Package[git] has failures: true
283==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Extension[GlobalUsage]/Mediawiki::Settings[GlobalUsage]/File[/vagrant/settings.d/puppet-managed/10-GlobalUsage.php]: Skipping because of failed dependencies
284==> default: Notice: /Stage[main]/Role::Timedmediahandler/Mediawiki::Extension[MwEmbedSupport]/Git::Clone[mediawiki/extensions/MwEmbedSupport]/File[/vagrant/mediawiki/extensions/MwEmbedSupport]: Dependency Package[git] has failures: true
285==> default: Warning: /Stage[main]/Role::Timedmediahandler/Mediawiki::Extension[MwEmbedSupport]/Git::Clone[mediawiki/extensions/MwEmbedSupport]/File[/vagrant/mediawiki/extensions/MwEmbedSupport]: Skipping because of failed dependencies
286==> default: Notice: /Stage[main]/Role::Timedmediahandler/Mediawiki::Extension[MwEmbedSupport]/Git::Clone[mediawiki/extensions/MwEmbedSupport]/Exec[git_clone_mediawiki/extensions/MwEmbedSupport]: Dependency Package[git] has failures: true
287==> default: Warning: /Stage[main]/Role::Timedmediahandler/Mediawiki::Extension[MwEmbedSupport]/Git::Clone[mediawiki/extensions/MwEmbedSupport]/Exec[git_clone_mediawiki/extensions/MwEmbedSupport]: Skipping because of failed dependencies
288==> default: Notice: /Stage[main]/Role::Timedmediahandler/Mediawiki::Extension[MwEmbedSupport]/Mediawiki::Settings[MwEmbedSupport]/File[/vagrant/settings.d/puppet-managed/10-MwEmbedSupport.php]: Dependency Package[git] has failures: true
289==> default: Warning: /Stage[main]/Role::Timedmediahandler/Mediawiki::Extension[MwEmbedSupport]/Mediawiki::Settings[MwEmbedSupport]/File[/vagrant/settings.d/puppet-managed/10-MwEmbedSupport.php]: Skipping because of failed dependencies
290==> default: Notice: /Stage[main]/Role::Timedmediahandler/Mediawiki::Extension[TimedMediaHandler]/Git::Clone[mediawiki/extensions/TimedMediaHandler]/File[/vagrant/mediawiki/extensions/TimedMediaHandler]: Dependency Package[git] has failures: true
291==> default: Warning: /Stage[main]/Role::Timedmediahandler/Mediawiki::Extension[TimedMediaHandler]/Git::Clone[mediawiki/extensions/TimedMediaHandler]/File[/vagrant/mediawiki/extensions/TimedMediaHandler]: Skipping because of failed dependencies
292==> default: Notice: /Stage[main]/Role::Timedmediahandler/Mediawiki::Extension[TimedMediaHandler]/Git::Clone[mediawiki/extensions/TimedMediaHandler]/Exec[git_clone_mediawiki/extensions/TimedMediaHandler]: Dependency Package[git] has failures: true
293==> default: Warning: /Stage[main]/Role::Timedmediahandler/Mediawiki::Extension[TimedMediaHandler]/Git::Clone[mediawiki/extensions/TimedMediaHandler]/Exec[git_clone_mediawiki/extensions/TimedMediaHandler]: Skipping because of failed dependencies
294==> default: Notice: /Stage[main]/Role::Timedmediahandler/Mediawiki::Extension[TimedMediaHandler]/Php::Composer::Install[/vagrant/mediawiki/extensions/TimedMediaHandler]/Exec[composer-install--vagrant-mediawiki-extensions-TimedMediaHandler]: Dependency Package[git] has failures: true
295==> default: Warning: /Stage[main]/Role::Timedmediahandler/Mediawiki::Extension[TimedMediaHandler]/Php::Composer::Install[/vagrant/mediawiki/extensions/TimedMediaHandler]/Exec[composer-install--vagrant-mediawiki-extensions-TimedMediaHandler]: Skipping because of failed dependencies
296==> default: Notice: /Stage[main]/Role::Timedmediahandler/Mediawiki::Extension[TimedMediaHandler]/Mediawiki::Settings[TimedMediaHandler]/File[/vagrant/settings.d/puppet-managed/10-TimedMediaHandler.php]: Dependency Package[git] has failures: true
297==> default: Warning: /Stage[main]/Role::Timedmediahandler/Mediawiki::Extension[TimedMediaHandler]/Mediawiki::Settings[TimedMediaHandler]/File[/vagrant/settings.d/puppet-managed/10-TimedMediaHandler.php]: Skipping because of failed dependencies
298==> default: Notice: /Stage[main]/Role::Pdfhandler/Mediawiki::Extension[PdfHandler]/Git::Clone[mediawiki/extensions/PdfHandler]/File[/vagrant/mediawiki/extensions/PdfHandler]: Dependency Package[git] has failures: true
299==> default: Warning: /Stage[main]/Role::Pdfhandler/Mediawiki::Extension[PdfHandler]/Git::Clone[mediawiki/extensions/PdfHandler]/File[/vagrant/mediawiki/extensions/PdfHandler]: Skipping because of failed dependencies
300==> default: Notice: /Stage[main]/Role::Pdfhandler/Mediawiki::Extension[PdfHandler]/Git::Clone[mediawiki/extensions/PdfHandler]/Exec[git_clone_mediawiki/extensions/PdfHandler]: Dependency Package[git] has failures: true
301==> default: Warning: /Stage[main]/Role::Pdfhandler/Mediawiki::Extension[PdfHandler]/Git::Clone[mediawiki/extensions/PdfHandler]/Exec[git_clone_mediawiki/extensions/PdfHandler]: Skipping because of failed dependencies
302==> default: Notice: /Stage[main]/Role::Pdfhandler/Mediawiki::Extension[PdfHandler]/Mediawiki::Settings[PdfHandler]/File[/vagrant/settings.d/puppet-managed/10-PdfHandler.php]: Dependency Package[git] has failures: true
303==> default: Warning: /Stage[main]/Role::Pdfhandler/Mediawiki::Extension[PdfHandler]/Mediawiki::Settings[PdfHandler]/File[/vagrant/settings.d/puppet-managed/10-PdfHandler.php]: Skipping because of failed dependencies
304==> default: Notice: /Stage[main]/Role::Cite/Mediawiki::Extension[Cite]/Git::Clone[mediawiki/extensions/Cite]/File[/vagrant/mediawiki/extensions/Cite]: Dependency Package[git] has failures: true
305==> default: Warning: /Stage[main]/Role::Cite/Mediawiki::Extension[Cite]/Git::Clone[mediawiki/extensions/Cite]/File[/vagrant/mediawiki/extensions/Cite]: Skipping because of failed dependencies
306==> default: Notice: /Stage[main]/Role::Cite/Mediawiki::Extension[Cite]/Git::Clone[mediawiki/extensions/Cite]/Exec[git_clone_mediawiki/extensions/Cite]: Dependency Package[git] has failures: true
307==> default: Warning: /Stage[main]/Role::Cite/Mediawiki::Extension[Cite]/Git::Clone[mediawiki/extensions/Cite]/Exec[git_clone_mediawiki/extensions/Cite]: Skipping because of failed dependencies
308==> default: Notice: /Stage[main]/Role::Cite/Mediawiki::Extension[Cite]/Mediawiki::Settings[Cite]/File[/vagrant/settings.d/puppet-managed/10-Cite.php]: Dependency Package[git] has failures: true
309==> default: Warning: /Stage[main]/Role::Cite/Mediawiki::Extension[Cite]/Mediawiki::Settings[Cite]/File[/vagrant/settings.d/puppet-managed/10-Cite.php]: Skipping because of failed dependencies
310==> default: Notice: /Stage[main]/Role::Sitematrix/Mediawiki::Extension[SiteMatrix]/Git::Clone[mediawiki/extensions/SiteMatrix]/File[/vagrant/mediawiki/extensions/SiteMatrix]: Dependency Package[git] has failures: true
311==> default: Warning: /Stage[main]/Role::Sitematrix/Mediawiki::Extension[SiteMatrix]/Git::Clone[mediawiki/extensions/SiteMatrix]/File[/vagrant/mediawiki/extensions/SiteMatrix]: Skipping because of failed dependencies
312==> default: Notice: /Stage[main]/Role::Sitematrix/Mediawiki::Extension[SiteMatrix]/Git::Clone[mediawiki/extensions/SiteMatrix]/Exec[git_clone_mediawiki/extensions/SiteMatrix]: Dependency Package[git] has failures: true
313==> default: Warning: /Stage[main]/Role::Sitematrix/Mediawiki::Extension[SiteMatrix]/Git::Clone[mediawiki/extensions/SiteMatrix]/Exec[git_clone_mediawiki/extensions/SiteMatrix]: Skipping because of failed dependencies
314==> default: Notice: /Stage[main]/Role::Sitematrix/Mediawiki::Extension[SiteMatrix]/Mediawiki::Settings[SiteMatrix]/File[/vagrant/settings.d/puppet-managed/10-SiteMatrix.php]: Dependency Package[git] has failures: true
315==> default: Warning: /Stage[main]/Role::Sitematrix/Mediawiki::Extension[SiteMatrix]/Mediawiki::Settings[SiteMatrix]/File[/vagrant/settings.d/puppet-managed/10-SiteMatrix.php]: Skipping because of failed dependencies
316==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Extension[Elastica]/Git::Clone[mediawiki/extensions/Elastica]/File[/vagrant/mediawiki/extensions/Elastica]: Dependency Package[git] has failures: true
317==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Extension[Elastica]/Git::Clone[mediawiki/extensions/Elastica]/File[/vagrant/mediawiki/extensions/Elastica]: Skipping because of failed dependencies
318==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Extension[Elastica]/Git::Clone[mediawiki/extensions/Elastica]/Exec[git_clone_mediawiki/extensions/Elastica]: Dependency Package[git] has failures: true
319==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Extension[Elastica]/Git::Clone[mediawiki/extensions/Elastica]/Exec[git_clone_mediawiki/extensions/Elastica]: Skipping because of failed dependencies
320==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Extension[Elastica]/Php::Composer::Install[/vagrant/mediawiki/extensions/Elastica]/Exec[composer-install--vagrant-mediawiki-extensions-Elastica]: Dependency Package[git] has failures: true
321==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Extension[Elastica]/Php::Composer::Install[/vagrant/mediawiki/extensions/Elastica]/Exec[composer-install--vagrant-mediawiki-extensions-Elastica]: Skipping because of failed dependencies
322==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Extension[Elastica]/Mediawiki::Settings[Elastica]/File[/vagrant/settings.d/puppet-managed/10-Elastica.php]: Dependency Package[git] has failures: true
323==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Extension[Elastica]/Mediawiki::Settings[Elastica]/File[/vagrant/settings.d/puppet-managed/10-Elastica.php]: Skipping because of failed dependencies
324==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Extension[CirrusSearch]/Git::Clone[mediawiki/extensions/CirrusSearch]/File[/vagrant/mediawiki/extensions/CirrusSearch]: Dependency Package[git] has failures: true
325==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Extension[CirrusSearch]/Git::Clone[mediawiki/extensions/CirrusSearch]/File[/vagrant/mediawiki/extensions/CirrusSearch]: Skipping because of failed dependencies
326==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Extension[CirrusSearch]/Git::Clone[mediawiki/extensions/CirrusSearch]/Exec[git_clone_mediawiki/extensions/CirrusSearch]: Dependency Package[git] has failures: true
327==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Extension[CirrusSearch]/Git::Clone[mediawiki/extensions/CirrusSearch]/Exec[git_clone_mediawiki/extensions/CirrusSearch]: Skipping because of failed dependencies
328==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Extension[CirrusSearch]/Mediawiki::Settings[CirrusSearch]/File[/vagrant/settings.d/puppet-managed/10-CirrusSearch.php]: Dependency Package[git] has failures: true
329==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Extension[CirrusSearch]/Mediawiki::Settings[CirrusSearch]/File[/vagrant/settings.d/puppet-managed/10-CirrusSearch.php]: Skipping because of failed dependencies
330==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]: Dependency Package[git] has failures: true
331==> default: Warning: /Stage[main]/Mediawiki/Exec[update_all_databases]: Skipping because of failed dependencies
332==> default: Notice: /Stage[main]/Role::Commons/Mediawiki::Maintenance[refresh globalusage table]/Exec[refresh globalusage table]: Dependency Package[git] has failures: true
333==> default: Warning: /Stage[main]/Role::Commons/Mediawiki::Maintenance[refresh globalusage table]/Exec[refresh globalusage table]: Skipping because of failed dependencies
334==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Maintenance[build_search_index]/Exec[build_search_index]: Dependency Package[git] has failures: true
335==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Maintenance[build_search_index]/Exec[build_search_index]: Skipping because of failed dependencies
336==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::User[admin_user_in_steward_suppress_on_wiki]/Mediawiki::Maintenance[mediawiki_user_Admin_wiki]/Exec[mediawiki_user_Admin_wiki]: Dependency Package[git] has failures: true
337==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::User[admin_user_in_steward_suppress_on_wiki]/Mediawiki::Maintenance[mediawiki_user_Admin_wiki]/Exec[mediawiki_user_Admin_wiki]: Skipping because of failed dependencies
338==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::User[admin_user_in_steward_suppress_on_wiki]/Mediawiki::Maintenance[mediawiki_user_Admin_wiki_steward,suppress]/Exec[mediawiki_user_Admin_wiki_steward,suppress]: Dependency Package[git] has failures: true
339==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::User[admin_user_in_steward_suppress_on_wiki]/Mediawiki::Maintenance[mediawiki_user_Admin_wiki_steward,suppress]/Exec[mediawiki_user_Admin_wiki_steward,suppress]: Skipping because of failed dependencies
340==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Mediawiki::Maintenance[add page devwiki/Main_Page]/Exec[add page devwiki/Main_Page]: Dependency Package[git] has failures: true
341==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Main_Page]/Mediawiki::Maintenance[add page devwiki/Main_Page]/Exec[add page devwiki/Main_Page]: Skipping because of failed dependencies
342==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Mediawiki::Maintenance[add page devwiki/Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]: Dependency Package[git] has failures: true
343==> default: Warning: /Stage[main]/Mediawiki/Mediawiki::Import::Text[Template:Main_Page]/Mediawiki::Maintenance[add page devwiki/Template:Main_Page]/Exec[add page devwiki/Template:Main_Page]: Skipping because of failed dependencies
344==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/default/jobrunner]: Dependency Package[git] has failures: true
345==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/File[/etc/default/jobrunner]: Skipping because of failed dependencies
346==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/jobrunner.json]: Dependency Package[git] has failures: true
347==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/File[/etc/jobrunner.json]: Skipping because of failed dependencies
348==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/logrotate.d/mediawiki_jobrunner]: Dependency Package[git] has failures: true
349==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/File[/etc/logrotate.d/mediawiki_jobrunner]: Skipping because of failed dependencies
350==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/File[/etc/logrotate.d/mediawiki_jobchron]: Dependency Package[git] has failures: true
351==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/File[/etc/logrotate.d/mediawiki_jobchron]: Skipping because of failed dependencies
352==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Git::Clone[mediawiki/services/jobrunner]/File[/vagrant/srv/jobrunner]: Dependency Package[git] has failures: true
353==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Git::Clone[mediawiki/services/jobrunner]/File[/vagrant/srv/jobrunner]: Skipping because of failed dependencies
354==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Git::Clone[mediawiki/services/jobrunner]/Exec[git_clone_mediawiki/services/jobrunner]: Dependency Package[git] has failures: true
355==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Git::Clone[mediawiki/services/jobrunner]/Exec[git_clone_mediawiki/services/jobrunner]: Skipping because of failed dependencies
356==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Service::Gitupdate[jobrunner]/File[/etc/mw-vagrant/services/jobrunner.conf]: Dependency Package[git] has failures: true
357==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Service::Gitupdate[jobrunner]/File[/etc/mw-vagrant/services/jobrunner.conf]: Skipping because of failed dependencies
358==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Service::Gitupdate[jobchron]/File[/etc/mw-vagrant/services/jobchron.conf]: Dependency Package[git] has failures: true
359==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Service::Gitupdate[jobchron]/File[/etc/mw-vagrant/services/jobchron.conf]: Skipping because of failed dependencies
360==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/File[/lib/systemd/system/jobrunner.service]: Dependency Package[git] has failures: true
361==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/File[/lib/systemd/system/jobrunner.service]: Skipping because of failed dependencies
362==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/Exec[systemd reload for jobrunner]: Dependency Package[git] has failures: true
363==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/Exec[systemd reload for jobrunner]: Skipping because of failed dependencies
364==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/Service[jobrunner]: Dependency Package[git] has failures: true
365==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobrunner]/Service[jobrunner]: Skipping because of failed dependencies
366==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/File[/lib/systemd/system/jobchron.service]: Dependency Package[git] has failures: true
367==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/File[/lib/systemd/system/jobchron.service]: Skipping because of failed dependencies
368==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/Exec[systemd reload for jobchron]: Dependency Package[git] has failures: true
369==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/Exec[systemd reload for jobchron]: Skipping because of failed dependencies
370==> default: Notice: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/Service[jobchron]: Dependency Package[git] has failures: true
371==> default: Warning: /Stage[main]/Mediawiki::Jobrunner/Systemd::Service[jobchron]/Service[jobchron]: Skipping because of failed dependencies
372==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Extension[CirrusSearch]/Mediawiki::Extension::Browsertests[CirrusSearch]/Browsertests::Bundle[CirrusSearch_browsertests_bundle]/Ruby::Bundle[CirrusSearch_browsertests_bundle]/File[/vagrant/mediawiki/extensions/CirrusSearch/tests/browser/.bundle/config]: Dependency Package[git] has failures: true
373==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Extension[CirrusSearch]/Mediawiki::Extension::Browsertests[CirrusSearch]/Browsertests::Bundle[CirrusSearch_browsertests_bundle]/Ruby::Bundle[CirrusSearch_browsertests_bundle]/File[/vagrant/mediawiki/extensions/CirrusSearch/tests/browser/.bundle/config]: Skipping because of failed dependencies
374==> default: Notice: /Stage[main]/Role::Cirrussearch/Mediawiki::Extension[CirrusSearch]/Mediawiki::Extension::Browsertests[CirrusSearch]/Browsertests::Bundle[CirrusSearch_browsertests_bundle]/Ruby::Bundle[CirrusSearch_browsertests_bundle]/Exec[bundle_install_CirrusSearch_browsertests_bundle]: Dependency Package[git] has failures: true
375==> default: Warning: /Stage[main]/Role::Cirrussearch/Mediawiki::Extension[CirrusSearch]/Mediawiki::Extension::Browsertests[CirrusSearch]/Browsertests::Bundle[CirrusSearch_browsertests_bundle]/Ruby::Bundle[CirrusSearch_browsertests_bundle]/Exec[bundle_install_CirrusSearch_browsertests_bundle]: Skipping because of failed dependencies
376==> default: Notice: /Stage[main]/Browsertests/Mediawiki::User[Selenium_user]/Mediawiki::Maintenance[mediawiki_user_Selenium_user_wiki]/Exec[mediawiki_user_Selenium_user_wiki]: Dependency Package[git] has failures: true
377==> default: Warning: /Stage[main]/Browsertests/Mediawiki::User[Selenium_user]/Mediawiki::Maintenance[mediawiki_user_Selenium_user_wiki]/Exec[mediawiki_user_Selenium_user_wiki]: Skipping because of failed dependencies
378==> default: Notice: Finished catalog run in 3.50 seconds
379The SSH command responded with a non-zero exit status. Vagrant
380assumes that this means the command failed. The output for this command
381should be in the log above. Please read the output to determine what
382went wrong.

Where does the test fail? Looks like it runs fine when targeting beta cluster:

https://integration.wikimedia.org/ci/view/Selenium/job/selenium-CirrusSearch/

How are you running the tests? From host machine targeting mediawiki-vagrant machine? Using phantomjs?

Since I can not provision cirrussearch vagrant role, I have tried running the tests targeting beta cluster. It runs fine for phantomjs and chrome, and fails for firefox:

1CirrusSearch/tests/browser$ BROWSER=phantomjs MEDIAWIKI_ENVIRONMENT=beta MEDIAWIKI_PASSWORD=not-the-real-one bundle exec cucumber features/smoke.feature:16
2 Given I am at a random page # mediawiki_selenium-1.8.0/lib/mediawiki_selenium/step_definitions/navigation_steps.rb:1
3 When I search for: main # features/step_definitions/simple_search_steps.rb:12
4 Then a list of suggested pages should appear # features/step_definitions/simple_search_steps.rb:16
5 And Main Page should be the first result # features/step_definitions/simple_search_steps.rb:27
6
71 scenario (1 passed)
84 steps (4 passed)
90m7.939s
10
11
12
13CirrusSearch/tests/browser$ BROWSER=chrome MEDIAWIKI_ENVIRONMENT=beta MEDIAWIKI_PASSWORD=not-the-real-one bundle exec cucumber features/smoke.feature:16
14 Given I am at a random page # mediawiki_selenium-1.8.0/lib/mediawiki_selenium/step_definitions/navigation_steps.rb:1
15 When I search for: main # features/step_definitions/simple_search_steps.rb:12
16 Then a list of suggested pages should appear # features/step_definitions/simple_search_steps.rb:16
17 And Main Page should be the first result # features/step_definitions/simple_search_steps.rb:27
18
191 scenario (1 passed)
204 steps (4 passed)
210m7.332s
22
23
24
25CirrusSearch/tests/browser$ BROWSER=firefox MEDIAWIKI_ENVIRONMENT=beta MEDIAWIKI_PASSWORD=not-the-real-one bundle exec cucumber features/smoke.feature:16
26 Given I am at a random page # mediawiki_selenium-1.8.0/lib/mediawiki_selenium/step_definitions/navigation_steps.rb:1
27 no sessionId in returned payload (Selenium::WebDriver::Error::WebDriverError)
28 features/smoke.feature:17:in `Given I am at a random page'
29 When I search for: main # features/step_definitions/simple_search_steps.rb:12
30 Then a list of suggested pages should appear # features/step_definitions/simple_search_steps.rb:16
31 And Main Page should be the first result # features/step_definitions/simple_search_steps.rb:27
32
33Failing Scenarios:
34cucumber features/smoke.feature:16 # Scenario: Search suggestions
35
361 scenario (1 failed)
374 steps (1 failed, 3 skipped)
380m6.531s

Smalyshev added a comment.EditedApr 17 2017, 7:56 PM

@zeljkofilipin it fails on browser bot testing machine, Cindy: https://wikitech.wikimedia.org/wiki/Cindy_The_Browser_Test_Bot

I think we could make you a login there if you're interested to look into it, please ping me or @EBernhardson on IRC and we can guide you through how is it set up.

The test environment should be using phantomjs, but I've tested with both phantomjs and firefox BROWSER= settings, and both fail the same way.

@Smalyshev I can ssh to cirrus-browser-bot.eqiad.wmflabs, just tried. I am on vacation most of this week, I will test next week.

Smalyshev added a comment.EditedApr 18 2017, 5:50 PM

I can ssh to cirrus-browser-bot.eqiad.wmflabs

Cool, so once you're back, you can do this to test:

  1. cd /srv/mediawiki-vagrant/
  2. vagrant ssh
  3. cd /vagrant/mediawiki/extensions/CirrusSearch/tests/browser/
  4. unset MEDIAWIKI_API_URL MEDIAWIKI_USER MEDIAWIKI_PASSWORD MEDIAWIKI_URL BROWSER
  5. MEDIAWIKI_ENVIRONMENT=cindy bundle exec cucumber features/smoke.feature:16

This should reproduce the issue. Thanks!

Deskana triaged this task as Normal priority.Apr 20 2017, 5:08 PM
Deskana moved this task from needs triage to Up Next on the Discovery-Search board.May 4 2017, 5:15 PM

I can ssh to cirrus-browser-bot.eqiad.wmflabs but still fighting with mediawiki-vagrant :( T166662: Can not provision cirrussearch role

I find it really slow to debug at cirrus-browser-bot.eqiad.wmflabs. I would prefer to debug in mediawiki-vagrant. Am I the only one having trouble provisioning cirrussearch role?

we actually setup cirrus-browser-bot.eqiad.wmflabs because it tends to run lots faster than a local mediawiki-vagrant install. I've responded to the other ticket about provisioning cirrussearch.

we actually setup cirrus-browser-bot.eqiad.wmflabs because it tends to run lots faster than a local mediawiki-vagrant install.

But a local VM is so much easier to debug! :)

This comment was removed by zeljkofilipin.
$ ssh cirrus-browser-bot.eqiad.wmflabs

zfilipin@cirrus-browser-bot:~$ cd /srv/mediawiki-vagrant/

zfilipin@cirrus-browser-bot:/srv/mediawiki-vagrant$ vagrant ssh

vagrant@mediawiki-vagrant:~$ cd /vagrant/mediawiki/extensions/CirrusSearch/tests/browser/

vagrant@mediawiki-vagrant:/vagrant/mediawiki/extensions/CirrusSearch/tests/browser$ unset MEDIAWIKI_API_URL MEDIAWIKI_USER MEDIAWIKI_PASSWORD MEDIAWIKI_URL BROWSER

vagrant@mediawiki-vagrant:/vagrant/mediawiki/extensions/CirrusSearch/tests/browser$ MEDIAWIKI_ENVIRONMENT=cindy bundle exec cucumber features/smoke.feature:16
...
Feature: Smoke test

  @en.wikipedia.beta.wmflabs.org @expect_failure
  Scenario: Search suggestions            # features/smoke.feature:16
    Given I am at a random page           # mediawiki_selenium-1.8.0/lib/mediawiki_selenium/step_definitions/navigation_steps.rb:1
    When I type main into the search box  # features/step_definitions/search_steps.rb:126
    Then suggestions should appear        # features/step_definitions/search_steps.rb:235
      timed out after 5 seconds, Element not present in 5 seconds (Watir::Wait::TimeoutError)
      ./features/step_definitions/search_steps.rb:241:in `/^suggestions should( not)? appear$/'
      features/smoke.feature:19:in `Then suggestions should appear'
    And Main Page is the first suggestion # features/step_definitions/search_steps.rb:244

Failing Scenarios:
cucumber features/smoke.feature:16 # Scenario: Search suggestions

1 scenario (1 failed)
4 steps (1 failed, 1 skipped, 2 passed)
0m25.606s

Reproduced on my machine, targeting mediawiki-vagrant:

~/Documents/gerrit/mediawiki/vagrant/mediawiki/extensions/CirrusSearch/tests/browser$ bundle exec cucumber features/smoke.feature:16
...
Feature: Smoke test

  @en.wikipedia.beta.wmflabs.org @expect_failure
  Scenario: Search suggestions            # features/smoke.feature:16
    Given I am at a random page           # mediawiki_selenium-1.8.0/lib/mediawiki_selenium/step_definitions/navigation_steps.rb:1
    When I type main into the search box  # features/step_definitions/search_steps.rb:126
    Then suggestions should appear        # features/step_definitions/search_steps.rb:235
      timed out after 5 seconds, Element not present in 5 seconds (Watir::Wait::TimeoutError)
      features/smoke.feature:19:in `Then suggestions should appear'
    And Main Page is the first suggestion # features/step_definitions/search_steps.rb:244

Failing Scenarios:
cucumber features/smoke.feature:16 # Scenario: Search suggestions

1 scenario (1 failed)
4 steps (1 failed, 1 skipped, 2 passed)
0m15.810s

Change 358382 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/CirrusSearch@master] WIP Figure out why browser tests can't create suggestion box

https://gerrit.wikimedia.org/r/358382

The above patch fixes the problem for phantomjs 2.1.1. The problem is still reproducible with phantomjs 1.9.7 that is installed at cirrus-browser-bot. Is there a reason cirrus-browser-bot is locked to 1.9.7? Can you upgrade?

How is phantomjs installed there? Via puppet? npm?

I would like to get rid of phantomjs in the near future. Chrome now has headless mode (T167507). That is probably the way to go forward.

Change 358382 abandoned by Zfilipin:
WIP Figure out why browser tests can't create suggestion box

Reason:
just a test

https://gerrit.wikimedia.org/r/358382

debt added a subscriber: debt.Jul 13 2017, 5:22 PM

We need to apply this fix in production.

I've just tried installing a newer phantomjs, specifically 2.1.7, but it runs into a separate issue. When attempting to log in it occasionally generates:

And I am logged in                                                                            # mediawiki_selenium-1.8.0/lib/mediawiki_selenium/step_definitions/login_steps.rb:1
  {"errorMessage":"Unable to set Cookie","request":{"headers":{"Accept":"application/json","Accept-Encoding":"gzip;q=1.0,deflate;q=0.6,identity;q=0.3","Connection":"close","Content -Length":"166","Content-Type":"application/json; charset=utf-8","Host":"127.0.0.1:8910","User-Agent":"Ruby"},"httpVersion":"1.1","method":"POST","post":"{\"cookie\":{\"name\":\"cirrust estwiki_session\",\"value\":\"q0kgj697vv4d67dg40q4n84illmml64n\",\"secure\":false,\"path\":\"/\",\"domain\":\"cirrustest-cirrus-browser-bot.wmflabs.org\"}}","url":"/cookie","urlParsed" :{"anchor":"","query":"","file":"cookie","directory":"/","path":"/cookie","relative":"/cookie","port":"","host":"","password":"","user":"","userInfo":"","authority":"","protocol":"","source":"/cookie","queryKey":{},"chunks":["cookie"]},"urlOriginal":"/session/c64b13a0-7301-11e7-9412-f39c332da5b9/cookie"}} (org.openqa.selenium.UnableToSetCookieException) (Selenium::webDriver::Error::UnableToSetCookieError)
  features/update_general_api.feature:68:in `And I am logged in'

This looks to be a "known issue" with 2.1: https://github.com/ariya/phantomjs/issues/14047

For now i've only upgraded cindy as far as 1.9.20 (which does'nt fix the problem), and will revisit in a little bit hopefully with chromium 59 instead of phantomjs.

debt moved this task from Up Next to later on... on the Discovery-Search board.Oct 19 2017, 5:29 PM

After we switch to node.js, we won't have this issue any more. We'll check again after the conversion as detailed here: T174103

debt closed this task as Resolved.Dec 12 2017, 6:21 PM
debt claimed this task.

This was fixed with the move.